Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchStacksRoutingInterfacesDhcp({
interfaceId: "string",
networkId: "string",
switchStackId: "string",
});
export const merakiNetworksSwitchStacksRoutingInterfacesDhcpExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_stacks_routing_interfaces_dhcp(interface_id="string",
network_id="string",
switch_stack_id="string")
pulumi.export("merakiNetworksSwitchStacksRoutingInterfacesDhcpExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchStacksRoutingInterfacesDhcp(ctx, &networks.LookupSwitchStacksRoutingInterfacesDhcpArgs{
InterfaceId: "string",
NetworkId: "string",
SwitchStackId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchStacksRoutingInterfacesDhcpExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchStacksRoutingInterfacesDhcp.Invoke(new()
{
InterfaceId = "string",
NetworkId = "string",
SwitchStackId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchStacksRoutingInterfacesDhcpExample"] = example.Apply(getSwitchStacksRoutingInterfacesDhcpResult => getSwitchStacksRoutingInterfacesDhcpResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchStacksRoutingInterfacesDhcpArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchStacksRoutingInterfacesDhcp(GetSwitchStacksRoutingInterfacesDhcpArgs.builder()
.interfaceId("string")
.networkId("string")
.switchStackId("string")
.build());
ctx.export("merakiNetworksSwitchStacksRoutingInterfacesDhcpExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchStacksRoutingInterfacesDhcp
arguments:
interfaceId: string
networkId: string
switchStackId: string
outputs:
merakiNetworksSwitchStacksRoutingInterfacesDhcpExample: ${example.item}
Using getSwitchStacksRoutingInterfacesDhcp
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchStacksRoutingInterfacesDhcp(args: GetSwitchStacksRoutingInterfacesDhcpArgs, opts?: InvokeOptions): Promise<GetSwitchStacksRoutingInterfacesDhcpResult>
function getSwitchStacksRoutingInterfacesDhcpOutput(args: GetSwitchStacksRoutingInterfacesDhcpOutputArgs, opts?: InvokeOptions): Output<GetSwitchStacksRoutingInterfacesDhcpResult>def get_switch_stacks_routing_interfaces_dhcp(interface_id: Optional[str] = None,
network_id: Optional[str] = None,
switch_stack_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchStacksRoutingInterfacesDhcpResult
def get_switch_stacks_routing_interfaces_dhcp_output(interface_id: Optional[pulumi.Input[str]] = None,
network_id: Optional[pulumi.Input[str]] = None,
switch_stack_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchStacksRoutingInterfacesDhcpResult]func LookupSwitchStacksRoutingInterfacesDhcp(ctx *Context, args *LookupSwitchStacksRoutingInterfacesDhcpArgs, opts ...InvokeOption) (*LookupSwitchStacksRoutingInterfacesDhcpResult, error)
func LookupSwitchStacksRoutingInterfacesDhcpOutput(ctx *Context, args *LookupSwitchStacksRoutingInterfacesDhcpOutputArgs, opts ...InvokeOption) LookupSwitchStacksRoutingInterfacesDhcpResultOutput> Note: This function is named LookupSwitchStacksRoutingInterfacesDhcp in the Go SDK.
public static class GetSwitchStacksRoutingInterfacesDhcp
{
public static Task<GetSwitchStacksRoutingInterfacesDhcpResult> InvokeAsync(GetSwitchStacksRoutingInterfacesDhcpArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchStacksRoutingInterfacesDhcpResult> Invoke(GetSwitchStacksRoutingInterfacesDhcpInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchStacksRoutingInterfacesDhcpResult> getSwitchStacksRoutingInterfacesDhcp(GetSwitchStacksRoutingInterfacesDhcpArgs args, InvokeOptions options)
public static Output<GetSwitchStacksRoutingInterfacesDhcpResult> getSwitchStacksRoutingInterfacesDhcp(GetSwitchStacksRoutingInterfacesDhcpArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchStacksRoutingInterfacesDhcp:getSwitchStacksRoutingInterfacesDhcp
arguments:
# arguments dictionaryThe following arguments are supported:
- Interface
Id string - interfaceId path parameter. Interface ID
- Network
Id string - networkId path parameter. Network ID
- Switch
Stack stringId - switchStackId path parameter. Switch stack ID
- Interface
Id string - interfaceId path parameter. Interface ID
- Network
Id string - networkId path parameter. Network ID
- Switch
Stack stringId - switchStackId path parameter. Switch stack ID
- interface
Id String - interfaceId path parameter. Interface ID
- network
Id String - networkId path parameter. Network ID
- switch
Stack StringId - switchStackId path parameter. Switch stack ID
- interface
Id string - interfaceId path parameter. Interface ID
- network
Id string - networkId path parameter. Network ID
- switch
Stack stringId - switchStackId path parameter. Switch stack ID
- interface_
id str - interfaceId path parameter. Interface ID
- network_
id str - networkId path parameter. Network ID
- switch_
stack_ strid - switchStackId path parameter. Switch stack ID
- interface
Id String - interfaceId path parameter. Interface ID
- network
Id String - networkId path parameter. Network ID
- switch
Stack StringId - switchStackId path parameter. Switch stack ID
getSwitchStacksRoutingInterfacesDhcp Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Interface
Id string - interfaceId path parameter. Interface ID
- Item
Get
Switch Stacks Routing Interfaces Dhcp Item - Network
Id string - networkId path parameter. Network ID
- Switch
Stack stringId - switchStackId path parameter. Switch stack ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Interface
Id string - interfaceId path parameter. Interface ID
- Item
Get
Switch Stacks Routing Interfaces Dhcp Item - Network
Id string - networkId path parameter. Network ID
- Switch
Stack stringId - switchStackId path parameter. Switch stack ID
- id String
- The provider-assigned unique ID for this managed resource.
- interface
Id String - interfaceId path parameter. Interface ID
- item
Get
Switch Stacks Routing Interfaces Dhcp Item - network
Id String - networkId path parameter. Network ID
- switch
Stack StringId - switchStackId path parameter. Switch stack ID
- id string
- The provider-assigned unique ID for this managed resource.
- interface
Id string - interfaceId path parameter. Interface ID
- item
Get
Switch Stacks Routing Interfaces Dhcp Item - network
Id string - networkId path parameter. Network ID
- switch
Stack stringId - switchStackId path parameter. Switch stack ID
- id str
- The provider-assigned unique ID for this managed resource.
- interface_
id str - interfaceId path parameter. Interface ID
- item
Get
Switch Stacks Routing Interfaces Dhcp Item - network_
id str - networkId path parameter. Network ID
- switch_
stack_ strid - switchStackId path parameter. Switch stack ID
- id String
- The provider-assigned unique ID for this managed resource.
- interface
Id String - interfaceId path parameter. Interface ID
- item Property Map
- network
Id String - networkId path parameter. Network ID
- switch
Stack StringId - switchStackId path parameter. Switch stack ID
Supporting Types
GetSwitchStacksRoutingInterfacesDhcpItem
- Boot
File stringName - The PXE boot server file name for the DHCP server running on the switch stack interface
- Boot
Next stringServer - The PXE boot server IP for the DHCP server running on the switch stack interface
- Boot
Options boolEnabled - Enable DHCP boot options to provide PXE boot options configs for the dhcp server running on the switch stack interface
- Dhcp
Lease stringTime - The DHCP lease time config for the dhcp server running on the switch stack interface ('30 minutes', '1 hour', '4 hours', '12 hours', '1 day' or '1 week')
- Dhcp
Mode string - The DHCP mode options for the switch stack interface ('dhcpDisabled', 'dhcpRelay' or 'dhcpServer')
- Dhcp
Options List<GetSwitch Stacks Routing Interfaces Dhcp Item Dhcp Option> - Array of DHCP options consisting of code, type and value for the DHCP server running on the switch stack interface
- Dhcp
Relay List<string>Server Ips - The DHCP relay server IPs to which DHCP packets would get relayed for the switch stack interface
- Dns
Custom List<string>Nameservers - The DHCP name server IPs when DHCP name server option is 'custom'
- Dns
Nameservers stringOption - The DHCP name server option for the dhcp server running on the switch stack interface ('googlePublicDns', 'openDns' or 'custom')
- Fixed
Ip List<GetAssignments Switch Stacks Routing Interfaces Dhcp Item Fixed Ip Assignment> - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- Reserved
Ip List<GetRanges Switch Stacks Routing Interfaces Dhcp Item Reserved Ip Range> - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- Boot
File stringName - The PXE boot server file name for the DHCP server running on the switch stack interface
- Boot
Next stringServer - The PXE boot server IP for the DHCP server running on the switch stack interface
- Boot
Options boolEnabled - Enable DHCP boot options to provide PXE boot options configs for the dhcp server running on the switch stack interface
- Dhcp
Lease stringTime - The DHCP lease time config for the dhcp server running on the switch stack interface ('30 minutes', '1 hour', '4 hours', '12 hours', '1 day' or '1 week')
- Dhcp
Mode string - The DHCP mode options for the switch stack interface ('dhcpDisabled', 'dhcpRelay' or 'dhcpServer')
- Dhcp
Options []GetSwitch Stacks Routing Interfaces Dhcp Item Dhcp Option - Array of DHCP options consisting of code, type and value for the DHCP server running on the switch stack interface
- Dhcp
Relay []stringServer Ips - The DHCP relay server IPs to which DHCP packets would get relayed for the switch stack interface
- Dns
Custom []stringNameservers - The DHCP name server IPs when DHCP name server option is 'custom'
- Dns
Nameservers stringOption - The DHCP name server option for the dhcp server running on the switch stack interface ('googlePublicDns', 'openDns' or 'custom')
- Fixed
Ip []GetAssignments Switch Stacks Routing Interfaces Dhcp Item Fixed Ip Assignment - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- Reserved
Ip []GetRanges Switch Stacks Routing Interfaces Dhcp Item Reserved Ip Range - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- boot
File StringName - The PXE boot server file name for the DHCP server running on the switch stack interface
- boot
Next StringServer - The PXE boot server IP for the DHCP server running on the switch stack interface
- boot
Options BooleanEnabled - Enable DHCP boot options to provide PXE boot options configs for the dhcp server running on the switch stack interface
- dhcp
Lease StringTime - The DHCP lease time config for the dhcp server running on the switch stack interface ('30 minutes', '1 hour', '4 hours', '12 hours', '1 day' or '1 week')
- dhcp
Mode String - The DHCP mode options for the switch stack interface ('dhcpDisabled', 'dhcpRelay' or 'dhcpServer')
- dhcp
Options List<GetSwitch Stacks Routing Interfaces Dhcp Item Dhcp Option> - Array of DHCP options consisting of code, type and value for the DHCP server running on the switch stack interface
- dhcp
Relay List<String>Server Ips - The DHCP relay server IPs to which DHCP packets would get relayed for the switch stack interface
- dns
Custom List<String>Nameservers - The DHCP name server IPs when DHCP name server option is 'custom'
- dns
Nameservers StringOption - The DHCP name server option for the dhcp server running on the switch stack interface ('googlePublicDns', 'openDns' or 'custom')
- fixed
Ip List<GetAssignments Switch Stacks Routing Interfaces Dhcp Item Fixed Ip Assignment> - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- reserved
Ip List<GetRanges Switch Stacks Routing Interfaces Dhcp Item Reserved Ip Range> - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- boot
File stringName - The PXE boot server file name for the DHCP server running on the switch stack interface
- boot
Next stringServer - The PXE boot server IP for the DHCP server running on the switch stack interface
- boot
Options booleanEnabled - Enable DHCP boot options to provide PXE boot options configs for the dhcp server running on the switch stack interface
- dhcp
Lease stringTime - The DHCP lease time config for the dhcp server running on the switch stack interface ('30 minutes', '1 hour', '4 hours', '12 hours', '1 day' or '1 week')
- dhcp
Mode string - The DHCP mode options for the switch stack interface ('dhcpDisabled', 'dhcpRelay' or 'dhcpServer')
- dhcp
Options GetSwitch Stacks Routing Interfaces Dhcp Item Dhcp Option[] - Array of DHCP options consisting of code, type and value for the DHCP server running on the switch stack interface
- dhcp
Relay string[]Server Ips - The DHCP relay server IPs to which DHCP packets would get relayed for the switch stack interface
- dns
Custom string[]Nameservers - The DHCP name server IPs when DHCP name server option is 'custom'
- dns
Nameservers stringOption - The DHCP name server option for the dhcp server running on the switch stack interface ('googlePublicDns', 'openDns' or 'custom')
- fixed
Ip GetAssignments Switch Stacks Routing Interfaces Dhcp Item Fixed Ip Assignment[] - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- reserved
Ip GetRanges Switch Stacks Routing Interfaces Dhcp Item Reserved Ip Range[] - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- boot_
file_ strname - The PXE boot server file name for the DHCP server running on the switch stack interface
- boot_
next_ strserver - The PXE boot server IP for the DHCP server running on the switch stack interface
- boot_
options_ boolenabled - Enable DHCP boot options to provide PXE boot options configs for the dhcp server running on the switch stack interface
- dhcp_
lease_ strtime - The DHCP lease time config for the dhcp server running on the switch stack interface ('30 minutes', '1 hour', '4 hours', '12 hours', '1 day' or '1 week')
- dhcp_
mode str - The DHCP mode options for the switch stack interface ('dhcpDisabled', 'dhcpRelay' or 'dhcpServer')
- dhcp_
options Sequence[GetSwitch Stacks Routing Interfaces Dhcp Item Dhcp Option] - Array of DHCP options consisting of code, type and value for the DHCP server running on the switch stack interface
- dhcp_
relay_ Sequence[str]server_ ips - The DHCP relay server IPs to which DHCP packets would get relayed for the switch stack interface
- dns_
custom_ Sequence[str]nameservers - The DHCP name server IPs when DHCP name server option is 'custom'
- dns_
nameservers_ stroption - The DHCP name server option for the dhcp server running on the switch stack interface ('googlePublicDns', 'openDns' or 'custom')
- fixed_
ip_ Sequence[Getassignments Switch Stacks Routing Interfaces Dhcp Item Fixed Ip Assignment] - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- reserved_
ip_ Sequence[Getranges Switch Stacks Routing Interfaces Dhcp Item Reserved Ip Range] - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- boot
File StringName - The PXE boot server file name for the DHCP server running on the switch stack interface
- boot
Next StringServer - The PXE boot server IP for the DHCP server running on the switch stack interface
- boot
Options BooleanEnabled - Enable DHCP boot options to provide PXE boot options configs for the dhcp server running on the switch stack interface
- dhcp
Lease StringTime - The DHCP lease time config for the dhcp server running on the switch stack interface ('30 minutes', '1 hour', '4 hours', '12 hours', '1 day' or '1 week')
- dhcp
Mode String - The DHCP mode options for the switch stack interface ('dhcpDisabled', 'dhcpRelay' or 'dhcpServer')
- dhcp
Options List<Property Map> - Array of DHCP options consisting of code, type and value for the DHCP server running on the switch stack interface
- dhcp
Relay List<String>Server Ips - The DHCP relay server IPs to which DHCP packets would get relayed for the switch stack interface
- dns
Custom List<String>Nameservers - The DHCP name server IPs when DHCP name server option is 'custom'
- dns
Nameservers StringOption - The DHCP name server option for the dhcp server running on the switch stack interface ('googlePublicDns', 'openDns' or 'custom')
- fixed
Ip List<Property Map>Assignments - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
- reserved
Ip List<Property Map>Ranges - Array of DHCP reserved IP assignments for the DHCP server running on the switch stack interface
GetSwitchStacksRoutingInterfacesDhcpItemDhcpOption
GetSwitchStacksRoutingInterfacesDhcpItemFixedIpAssignment
GetSwitchStacksRoutingInterfacesDhcpItemReservedIpRange
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
